ビットウォークの高橋です。

Ruby/Tkに興味があって、まずはRubyの動向を知りたいと考え、比較的最近、こ
のMLへ参加しました。今後ともよろしくお願いいたします。

Ruby/Tkについては、Linux上で少々使いはじめた程度で全然詳しくありません。

> ちなみに,この処置が特に大きな問題となるのは日本語版だと思います.
> 非日本語版の場合は日本語版ほどの悪化はないでしょう.
> とはいえ,中途半端にサポートを残すと面倒になりやすいので,
> まず日本語版の方で反対意見が出ないようであれば
> 非日本語版でもサポートを切っていいかを確認するつもりです.

あくまで、コメントとしてですが、

現状のTcl/Tk(8.4系)では、まだ不十分ではありますが、UNIX版のXIM、
Windows版のIMEをサポートをしています。

Tk4.xのサポートをやめて、Tk8.4.0以降に対応するようにできれば、日本語版と
か非日本語版といった区分もなくなり、すっきりしたモジュールになるように思
いますがどうでしょう。

Rubyの方のtcltklib.cなどを詳しく読んでいないので、いい加減なコメントに
なってしまってすみません。

-- 
Keiichi Takahashi, bitWalk Co.,Ltd.
mailto:bitwalk / jcom.home.ne.jp
http://members10.tsukaeru.net/bitwalk/